import { UserSearchPrefer, UserTablePrefer } from '../../../typing';
export declare class UserPreferService {
    static parsePreferForTable(userPrefer: Record<string, unknown> | undefined): UserTablePrefer | undefined;
    static savePreferForTable(userPrefer: UserTablePrefer): Promise<void>;
    static queryPreferForSearch(model: string, viewName: string): Promise<UserSearchPrefer[]>;
    static createPreferForSearch(userPrefer: UserSearchPrefer): Promise<UserSearchPrefer>;
    static updatePreferNameForSearch(id: string, name: string): Promise<Record<string, unknown>>;
    static deletePreferForSearch(id: string): Promise<Record<string, unknown>>;
}
